Skip to main content
`Ctrl`+`K`

# PetscPDFSampleGaussian2D

Sample uniformly from a Gaussian distribution in 2D https://en.wikipedia.org/wiki/Box–Muller_transform

## Synopsis

    #include "petscdt.h"
    PetscErrorCode PetscPDFSampleGaussian2D(const PetscReal p[], const PetscReal unused[], PetscReal x[])

Not Collective

## Input Parameters

- p - A uniform variable on \([0, 1]^2\)

- unused - ignored

## Output Parameter

- x - Coordinate in \([-\infty, \infty]^2 \)

## See Also

`PetscPDFGaussian2D()`, `PetscPDFMaxwellBoltzmann3D()`

## Level

beginner

## Location

src/dm/dt/interface/dtprob.c

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages